# std::_List_iterator< _Tp, _Ref, _Ptr > Struct Template Reference

A list::iterator. More...

`#include <stl_list.h>`

List of all members.

## Detailed Description

### template<typename _Tp, typename _Ref, typename _Ptr>
struct std::_List_iterator< _Tp, _Ref, _Ptr >

A list::iterator.

In addition to being used externally, a list holds one of these internally, pointing to the sequence of data.

Definition at line 143 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h